%define name	xaos
%define version	3.1
%define release 2mdk

%define build_aalib	1
%define build_svgalib	1
%ifarch x86_64
%define build_aalib	0
%define build_svgalib	0
%endif

Summary:	A real-time fractal zoomer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Mathematics
BuildRequires: autoconf2.5 XFree86-devel libpng-devel zlib-devel aalib-devel gpm-devel ncurses-devel slang
Patch2:		XaoS-3.1pre1-64bit-fixes.patch.bz2
Patch3:		XaoS-3.1-x11shm-errors.patch.bz2
Patch4:		XaoS-3.1-xlibs-path.patch.bz2
Source0:	http://belnet.dl.sourceforge.net/sourceforge/xaos/XaoS-%{version}.tar.bz2
Source1:	xaos
Source10:	%{name}.16.xpm.bz2
Source11:	%{name}.32.xpm.bz2
Source12:	%{name}.48.xpm.bz2
URL:		http://xaos.theory.org/
Packager:	Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch:	%{ix86} ppc x86_64
Obsoletes:	XaoS
Provides:	XaoS = %{version}-%{release}
Epoch:		1

%description
XaoS is a real-time fractal zoomer. It is highly optimized. It features an
advanced help system and nice tutorial about a lot different fractals.

This package holds the binary that runs with X11.

%package svgalib
Summary: Real-time fractal zoomer, svgalib package
Group: Sciences/Mathematics
Obsoletes: XaoS-svgalib
Provides: XaoS-svgalib = %{version}-%{release}

%description svgalib
XaoS is a real-time fractal zoomer. It is highly optimized. It features an
advanced help system and nice tutorial about a lot different fractals.

This package holds (only) the binary that runs with svgalib.

%package aalib
Summary: Real-time fractal zoomer, aalib package
Group: Sciences/Mathematics
Obsoletes: XaoS-aalib
Provides: XaoS-aalib = %{version}-%{release}

%description aalib
XaoS is a real-time fractal zoomer. It is highly optimized. It features an
advanced help system and nice tutorial about a lot different fractals.

This package holds (only) the binary that runs with aalib. (Ascii-Art)

%prep
%setup -q -n XaoS-%{version}
%patch2 -p1 -b .64bit-fixes
%patch3 -p0 -b .x11shm-errors
%patch4 -p0 -b .xlibs-path
autoconf

%build
BUILD_TAG=""

%if %{build_aalib}
rm -f config.cache
%configure2_5x --without-x11-driver --without-ggi-driver --without-svga-driver --with-aa-driver
make
mv bin/xaos ./xaos-aalib
BUILD_TAG=yes
%endif

%if %{build_svgalib}
[[ -n "$BUILD_TAG" ]] && { make clean; BUILD_TAG=""; }
rm -f config.cache
%configure2_5x --without-x11-driver --without-ggi-driver --with-svga-driver --without-aa-driver
make
mv bin/xaos ./xaos-svgalib
BUILD_TAG=yes
%endif

[[ -n "$BUILD_TAG" ]] && { make clean; BUILD_TAG=""; }
rm -f config.cache
%configure2_5x --with-x11-driver --without-ggi-driver --without-svga-driver --without-aa-driver
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_infodir}
%makeinstall LOCALEDIR=$RPM_BUILD_ROOT%{_datadir}/locale

%if %{build_aalib}
install -m755 xaos-aalib $RPM_BUILD_ROOT%{_bindir}
%endif
%if %{build_svgalib}
install -m755 xaos-svgalib $RPM_BUILD_ROOT%{_bindir}
%endif
install -m644 help/xaos.hlp $RPM_BUILD_ROOT%{_datadir}/XaoS/catalogs

# menu entry
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir}/

# icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%_install_info xaos.info

%preun
%_remove_install_info xaos.info

%postun
%{clean_menus}


%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc COPYING TODO doc/PROBLEMS doc/README doc/README.bugs doc/compilers.txt
%{_bindir}/xaos
%{_datadir}/XaoS
%{_mandir}/man6/*
%{_infodir}/xaos*
%{_menudir}/*
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%if %{build_svgalib}
%files svgalib
%defattr(-,root,root,0755)
%doc COPYING 
%{_bindir}/xaos-svgalib
%endif

%if %{build_aalib}
%files aalib
%defattr(-,root,root,0755)
%doc COPYING 
%{_bindir}/xaos-aalib
%endif

%changelog
* Fri Apr 25 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-2mdk
- fix buildrequires thx to stefan's robot

* Thu Apr 10 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-1mdk
- new version

* Wed Oct  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1-0.pre5.3mdk
- Really use pre5 version, lenny is weird some times ;-)
- Remove obsolete Patch0
- Update Patch1 with even more includes missed
- Patch4: Fix build and detection of DGA libraries
- Patch5: Partially use "configure" generated macros for prefix et al.

* Wed Oct  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1-0.pre5.2mdk
- Enable build on x86-64
- Patch1: Add missing includes
- Patch2: Some 64-bit fixlets but not really errors
- Patch3: Fix detection of XShm remotely and revert gracefully to non-shm mode

* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.1-0.pre5.1mdk
- 3.1.0pre5
- new url

* Fri Oct 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-0.pre1.1mdk
- rebuild for libpng3
- fix obsolete-not-provided
- fix invalid-version
- fix obsolete-tag Copyright
- fix large-icon-not-in-package

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-17mdk
- rebuild

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-16mdk
- some forgotten `obsoletes' tags

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-15mdk
- change name to xaos (e.g. uppercase names suck)

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-14mdk
- fixed missing install_info

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-13mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.1pre1-12mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-11mdk
- rebuild for buggy % clean_menus

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-10mdk
- BM
- macros for menu/icons

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-9mdk
- macros

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 3.1pre1-8mdk
- added ppc ExclusiveArch

* Tue May  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-7mdk
- added exclusivearch with the help of S. Van der Eijk

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-6mdk
- added 32x32 icons, fixed hardcoded path in menu entries
- added lacking [ $1 = 0 ] in postun script

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1pre1-5mdk
- Don't own shared directiries
- Use $RPM_OPT_FLAGS, don't build for i686 when I say i586

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1pre1-4mdk
- Fix group

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-3mdk
- added icon

* Mon Mar 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-2mdk
- add menu entry

* Sat Mar 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-1mdk
- 3.1pre1
- holy patch to remove crash when invoking help
